Jump to content
Lillibit

[Temas unidos] DNI electrónico en OS X

Recommended Posts

No necesitas drivers, sigue el manual sin instalar driver alguno. Yo tengo el mismo lector y así lo he hecho.

Share this post


Link to post
Share on other sites

Yo lo he instalado y después de desinstalar y volver a instalar al final, según la pagina de comprobación del DNI, todo esta correcto. Pero según esa pagina, porque lo he probado en la pagina de un banco y una caja, que tengo banca online, en la página de la Seg. Social, para ver la vida laboral y no funciona en ningún sitio.

He intentado cambiar el pin, ya que tengo el que me dieron en el sobre ciego, en la comisaría y tampoco funciona.

Osea que en teoría funciona, pero en la practica no.

 

Yo lo he instalado y después de desinstalar y volver a instalar al final, según la pagina de comprobación del DNI, todo esta correcto. Pero según esa pagina, porque lo he probado en la pagina de un banco y una caja, que tengo banca online, en la página de la Seg. Social, para ver la vida laboral y no funciona en ningún sitio.

He intentado cambiar el pin, ya que tengo el que me dieron en el sobre ciego, en la comisaría y tampoco funciona.

Osea que en teoría funciona, pero en la practica no.

Share this post


Link to post
Share on other sites

Por fin he conseguido instalar el lector de DNIe en el Mac y necesito acceder al S.A.S. pero cuando entro me sale la siguiente pantalla

 

Imagen_1_2.jpg

 

tengo Firefox 3.5 por lo q no entiendo esa referencia al 2.0

 

Me da la opcion de instalarlo. Pero no se a q se refiere.

 

Imagen_3.jpg

 

 

He visto en utlidades Java q si tengo lo q piden

 

Imagen_4.jpg

 

 

 

Soy torpon en estas lides y no se q hacer. He buscado por el foro pero la mayoria de los

post no los entiendo.

 

¿ Seriais tan amables de explicarme q hacer ?

 

 

muchas gracias.

Share this post


Link to post
Share on other sites
Bueno al final lo volvi a instalar todo y segui este tutorial http://elquepocoaprieta.blogspot.com/2009/...de-tractis.html y a la segundo reinicio del firefox me funciono pero en el 3.0.7 en la version 3.5.5 no había forma.

 

Buenas noticias, he seguido este mismo tutorial y me funciona con FF 3.5.5 en Snow Leopard 10.6.2

El punto delicado es a la hora de instalar el módulo de seguridad, que hay que hacerlo a mano, desde la pestaña Firefox->Preferencias->Avanzado->Cifrado->Dispositivos de seguridad y conectar el lector con el DNIe dentro exactamente cuando dice el magnífico tutorial.

Share this post


Link to post
Share on other sites

Has buscado? Pues hay un Temas Unidos sobre DNI electronico en Mac, para allá nos vamos a ver que te dicen.

 

Saludos.

Share this post


Link to post
Share on other sites
Has buscado? Pues hay un Temas Unidos sobre DNI electronico en Mac, para allá nos vamos a ver que te dicen.

 

Saludos.

 

 

Gracias, si he buscado pero esto es un tema sobre DNIe, ya logré instalarlo, es mas sobre JRE o mas bien sobre por qué me dice eso la pagina de la Junta cuando las demas no me lo dicen.

 

gracias de nuevo.

Share this post


Link to post
Share on other sites

Buenas a todos / as, después de pelearme con Firefox y el demonio de módulo PKCS11 o como se llame pude utilizar el DNIE con un imac early 2008 el lector SCR3310 de SMC Microsystems que estan dando con el plan avanza 2 y tractis, lo peor de todo es la cantidad de cosas que hay que instalar manualmente y sobre todo la poca información de como hacerlo con el CD que viene con el lector, ya podrían haberse molestado en hacer un tutorial de paso a paso con los diferentes sistemas y navegadores, únicamente como instalar el driver, cosa que veo innnecesaria porque eso es lo único obvio e intuitivo.

 

Mi problema fue instalar el módulo, no me lo cargaba ni a cañonazos y aún no sé de que manera por fin después de intentarlo manualmente varias veces lo instaló, creo que fue por marcar donde se debía marcar dentro de dispositivos de seguridad o porque previamente hay que tener el lector con el DNI dentro antes de abrir el firefox, el caso que una vez metido el módulo ya funcionó.

 

Resumiendo, una pérdida de hora y media cuando debería ser todo mas limpio y intuitivo. ¿Con esta fórmula quieren que los ciudadanos se decanten por utilizar la Administración virtual? mmm, lo dudo.

 

Saludos.

 

Valerio.

 

PD: Gracias al tuto en Macuarium pude repasar todo lo que había instalado y aclarar las ideas.

Share this post


Link to post
Share on other sites
Help!!

 

He instalado todo, he seguido todos los pasos pero cuando doy a validar me da a elegir entre 2 "certificados" y en los 2 pone caducado y no me deja validarlo. Es cosa del chip de mi DNI?

 

 

Ojo!! ya se lo que pasa. Los certificados del DNI caducan al los 30 meses, tengo que ir a la oficina del DNI a renovarlos.

Share this post


Link to post
Share on other sites

Bueno, me he leido todo el foro y creo que he llegado a la conclusión de que esto no funciona con Snow Leopard y Safari. O hay alguien que lo haya conseguido??? Si es así que lo explique, yo soy incapaz de hacerlo...

Share this post


Link to post
Share on other sites

Pues siguiendo al pie de la letra las indiciaciones del manual que mencionaron unos posts más atrás, he conseguido que me funcione perfectamente con:

 

Snow Leopard 10.6.1

Firefox 3.5.5

Lector SCR3310 de Tractis

 

Me ha funcionado todo a la primera y sin ningún contratiempo (la verdad es que no me lo creo ni yo). He podido verificar mi certificado y acceder a determinados servicios como por ejemplo consulta mi vida laboral a través de la web de la Seguridad Social.

 

Esto ya rula !!!!

Share this post


Link to post
Share on other sites
Bueno, me he leido todo el foro y creo que he llegado a la conclusión de que esto no funciona con Snow Leopard y Safari. O hay alguien que lo haya conseguido??? Si es así que lo explique, yo soy incapaz de hacerlo...

Con Safari no va, eso lo sabemos desde el principio, sólo va con Firefox.

Share this post


Link to post
Share on other sites

Buenas gente, ayer me llego mi lector dni de tractis. No trae nada, ni manual, ni cd ni nada..asi que ando perdido.

 

Ando siguiendo este tuto http://www.buwaki.org/lorem-ipsum/instalan...os-snow-leopard y en el momento que se cierra sesion, la vuelvo a iniciar pero firefox no se lanza. Alguien puede pasarme el enlace donde deberia ir firefox?????

Share this post


Link to post
Share on other sites

Pues mi problema es el siguiente: al intentar instalar "sca-0.2.3pre2" me dice que ya hay una versión más reciente en el ordenador; por lo tanto, a partir de aquí, ya nada funciona. En el portátil sin problemas pero en el IMac...

He probado a instalar una versión superior y desinstalarla después para ver si eliminaba todos los archivos, nada.

Instalar con Pacifist bloque a bloque la 0.2.3, nada-

A ver si a alguien se le ocurre como deshacerse de "lo que sea" para poder instalar la que funciona.

El caso es que no tengo noción de haber instalado nada antes de que empezaran los problemas.

Share this post


Link to post
Share on other sites
Pues mi problema es el siguiente: al intentar instalar "sca-0.2.3pre2" me dice que ya hay una versión más reciente en el ordenador

Me respondo a mí mismo (idiota).. que diga que hay una versión más reciente y salga una señal de aviso, no quiere decir que no se pueda instalar machacando la anterior.

Instalado y funcionando.

Pasos seguidos:

1 driver del lector.

2 instalación del sca-0.2.3pre2.

3 instalación de opensc.dnie-1.4.4.4 y reinicio.

4 conectar el lector y abrir Firefox. Preferencias/Avanzado/Dispositivos de seguridad -debería aparecer una entrada NSS y otra para Módulo de certificados. Una tercera debería ser el lector (no aparecía). Pasos a seguir: Botón cargar, poner un nombre como, por ejemplo, DNIe y botón explorar. En Librería/OpenSC/lib hay un archivo llamado opensc-pkcs11.so; elegirlo y OK.

Si todo ha ido bien debería aparecer esa tercera entrada.

5 Reiniciar Firefox y cargar -si no aparece (a mí no me apareció)- el archivo Librería/ OpenSc/share/web/ instala_modulo.htm

6 Crear archivo ACR y cargarlo desde preferencias/avanzado/ver certificados/autoridades botón importar.

7 Reiniciar Firefox para que cargue el módulo.

 

Todo el día liado para, seguro, usarlo una o dos veces. O menos.

A ver si hay suerte para todos los que lo están intentando; doy fe de que se puede. Con trabajo, eso sí.

Edited by Lusma

Share this post


Link to post
Share on other sites

Hola, ¿alguien ha sido capaz de hacer funcionar el dni electrónico con safari 4?, yo lo usaba sin problemas en firefox 3.6.

Tengo leopard 10.6.2

 

Gracias.

Share this post


Link to post
Share on other sites

Sinceramente esto es de locos... yo he seguido los pasos al pie dela letra y ni arranca el mac, tengo que desconectar el lector.

Zaapa, que debe significar Guano Elelctrónico en Kazajo.

Tengo mi certificado de la policía intalado, todo configurado y nada.

iMac G5 con OS 10.5.8

Supongo que será incompatible por uan línea del código del zapatp de Steve Jobs, o yo que se miaja de la muela de, una coma o un punto que se ha colado... en definitiva que no hay nada pensado para nosotros, una vez más, y tenemos que se informáticos, electroduendes, y pelín psicópatas después de perder los días tratando de que funcionen las cosas.

Si hay algún modo mejor de instalar estos caharros me lo digan, si no tendré que ir a casa del vecino que tiene un Esus!! lo mismo va como el rayo!

 

Alguna solución quiero.

Share this post


Link to post
Share on other sites

Hola,

de un día para otro me ha dejado de funcionar el DNI electrónico. El equipo me lo reconoce y en certificados aparece, pero a la hora de autenticarme no funciona. Yo trabajo con Tiger pero acabo de instalarlo en un equipo con Leopard y su comportamiento es el mismo:

 

- Al entrar, por ejemplo, el la página de la Agencia Tributaria, el navegador me pide una vez tras otra la clave del DNIe, hasta que sale la pantalla de error de la AEAT.

 

No he conseguido acceder a ninguna otra página con el dnie. He instalado y reinstalado el lector y Firefox sin ningún resultado.

 

¿Podríais alguno que seais usuario del DNIe probar a ver si os funciona?

 

Un saludo y gracias.

Share this post


Link to post
Share on other sites

Hola,

Acabo de hacerme mi DNIe y en la Policía me han dado un lector bit4id que supuestamente funciona en Mac, pero me temo que no es así o no he sabido hacerlo correctamente a pesar de que he instalado el archivo del cd y la descarga de la web.

 

Tengo un iMac con Snow Leopard 10.6.2.

 

El manual que habeis puesto creo que ya no existe.

 

Alguno puede ayudarme?

 

Gracias!

Share this post


Link to post
Share on other sites

Yo tb me he comprado el bit4id, con firefox 3.6.3 y x 10.6.3 siguiendo los pasos del manual y no me funciona. Siempre con el bit4id conectado al usb.

Al acceder a la paguina de prueba del enlace me da error

 

Ha ocurrido un error durante una conexión a av-dnie.cert.fnmt.es.

 

El otro extremo de la conexión SSL no puede verificar su certificado.

 

(Código de error: ssl_error_bad_cert_alert)

 

Eso si,

Share this post


Link to post
Share on other sites

Exactamente el mismo error me da a mi, amigo luiscc

 

Mi ordenador es un iMac con sistema operativo MAC OS X version 10.6.2. El lector que me han dado en la Policía es un minilector bit4id.

He leído atentamente todo el hilo de este post y creo que tengo instalados en mi ordenador los drivers que me han indicado (módulos dnie y opensc) y tengo correctamente instalado el Certificado Raíz de la Autoridad de Certificación de la Dirección General de Policía. Lo que no tengo tan claro es si he instalado el famoso módulo de seguridad PKCS#11 ya que siguiendo las indicaciones del post #85 de esta web me dice que no es posible instalar el módulo :unsure:

 

Aparentemente el ordenador detecta correctamente el lector y lee el dni (por el parapadeo de la luz) pero a través del Firefox no consigo que funcione. No me lo detecta en ninguna de las webs que he probado.

 

 

¿Podrían por favor ayudarnos? ¿Me falta algo o he hecho algo mal?

 

Muchas gracias anticipadas.

Share this post


Link to post
Share on other sites

Atención luiscc e interesados: he dado con la solución y funcionaaaa!! :lol: :lol:

 

He encontrado este tutorial en la red:

 

http://nauj27.com/blog/2009/11/19/dnie-en-mac-os-x-snow-leopard/

 

Mis sospechas eran fundadas. Me faltaba el último paso: la instalación del dispositivo de seguridad.

Siguiendo las indicaciones del tutorial ahora me funciona perfectamente. Comprobado solicitando en la web de la SS la vida laboral y en la web de dnielectronico en la sección compruebe su DNI :rolleyes:

 

Espero que te/os sirva de ayuda ;)

Edited by javicag

Share this post


Link to post
Share on other sites

Gracias Javicag, ya he conseguido arreglarlo. Un paso que ha sido necesario es tener metido el DNIe dentro del lector durante el proceso.

He accedido a la pagina de aeat y a la del catastro sin problema.

 

En la página de mi caja (Caixa catalunya) no puedo acceder mediante DNIe, me sale un mensaje de error de lectura.

Share this post


Link to post
Share on other sites

Sí, el tema de tener puesto el lector en el usb y el dni en el lector durante el proceso, es clave.

 

A mi me pasa lo mismo en la web de mi banco, pero he probado en windows y ocurre lo mismo. Imagino que es un problema de la propia página ;)

Share this post


Link to post
Share on other sites

Estoy intentando ponerlo a funcionar y no soy capaz, estoy con Snow Leopard, Firefox y el lector SCR3310 v2.0

Share this post


Link to post
Share on other sites

Como comentaba más arriba y después de darle muchas vueltas he seguido los pasos del tutorial y me ha funcionado perfectamente:

 

http://nauj27.com/bl...x-snow-leopard/

 

Mi lector es el que me "regaló" la Policía: minilector bit4id

 

Eso sí, en todo el proceso tienes que tener el lector conectado y el DNI insertado para que funcione. Al finalizar el proceso (sin sacar el lector ni el dni) reinicia Firefox completamente. Lo que sí te digo es que para que funcione cuando abro Firefox tengo que tener el lector+dni insertado. Si lo pongo posteriormente no funciona. Parece una tontería pero es clave ;)

 

Suerte y paciencia que seguro que le pillas el truco.

Edited by javicag

Share this post


Link to post
Share on other sites

Join the conversation

You can post now and register later. If you have an account, sign in now to post with your account.

Guest
Reply to this topic...

×   Pasted as rich text.   Restore formatting

  Only 75 emoji are allowed.

×   Your link has been automatically embedded.   Display as a link instead

×   Your previous content has been restored.   Clear editor

×   You cannot paste images directly. Upload or insert images from URL.


×
×
  • Create New...

Important Information

We have placed cookies on your device to help make this website better. You can adjust your cookie settings, otherwise we'll assume you're okay to continue.